Skip to main content
GET
Get combo leg candlesticks

Query Parameters

position_id
string

Leg position id, decimal or 0x-prefixed hex

leg_position_id
string

Alias for position_id

v2_condition_id
string

Leg V2 condition id from /polymarket/combos/legs

outcome_index
integer<int32>

Leg outcome index when v2_condition_id is used. Default: 0

Required range: x >= 0
resolution
enum<string>
required

Candle interval: 1S, 5S, 10S, 30S, 1, 5, 15, 30, 60, 240, D, 1D

Available options:
1S,
5S,
10S,
30S,
1,
5,
15,
30,
60,
240,
D,
1D
count_back
integer<int32>

Number of candles (default 500, max 2500)

from
integer<int64>

Start timestamp (Unix seconds)

to
integer<int64>

End timestamp (Unix seconds)

pagination_key
string

Cursor-based pagination key from previous response

Response

Combo leg sampled-price candlestick data

t
integer<int64>
required

Unix timestamp in milliseconds.

Required range: x >= 0
l
number<double> | null

Low sampled leg price.

h
number<double> | null

High sampled leg price.

o
number<double> | null

Open sampled leg price.

c
number<double> | null

Close sampled leg price.

sc
integer<int32> | null

Number of combo trades that sampled this leg price.

Last modified on July 28, 2026